@import url("/import/css/_root.css");
@import url("/import/css/_top-menu.css");
@import url("/import/css/_header-default.css");
@import url("/import/css/_footer.css");

.f_home
{
    color: var(--color-main) !important;
}

main
{
    background-color: var(--tlo-ciemny-szary);
    overflow-x: hidden;
}
section
{
    width: 100%;
    height: calc(100vh - 37px);
    min-height: 630px;
}
.div_content
{
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
}
.napis_zeucore
{
    top: 50%;
    left: 50%;
    display: flex;
    position: absolute;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transform: translateX(-50%) translateY(-50%);
    z-index: 50;
}
.napis_zeucore h1
{
    display: flex;
    font-family: "Monserrat", sans-serif;
}
.napis_zeucore h1 span
{
    font-family: "Monserrat", sans-serif;
    font-size: 130px;
    font-style: italic;
    color: #fff;
    filter: drop-shadow(0 0 13px #000);
    opacity: 0;
    animation: animacja_scale 0.5s ease-in;
    animation-fill-mode: forwards;
}
.napis_zeucore h1 span:nth-child(2)
{
    margin-left: -9px;
    animation-delay: 0.10s;   
}
.napis_zeucore h1 span:nth-child(3)
{
    margin-left: -18px;
    animation-delay: 0.20s;      
}
.napis_zeucore h1 span:nth-child(4)
{
    margin-left: -13px; 
    animation-delay: 0.30s;     
}
.napis_zeucore h1 span:nth-child(5)
{
    margin-left: -13px; 
    animation-delay: 0.40s;     
}
.napis_zeucore h1 span:nth-child(6)
{
    margin-left: -15px; 
    animation-delay: 0.50s;     
}
.napis_zeucore h1 span:nth-child(7)
{
    margin-left: -11px; 
    animation-delay: 0.60s;     
}

.napis_zeucore hr
{
    width: 640px;
    height: 5px;
    margin-top: -21px;
    margin-left: auto;
    margin-right: auto;
    border: 0;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), var(--color-czerwony), rgba(0, 0, 0, 0));
    opacity: 0;
    animation: animacja_hr 1s ease-in;
    animation-delay: 1.0s;
    animation-fill-mode: forwards;
}
.napis_zeucore p
{
    margin-top: 10px;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    color: #e0e0e0;
    opacity: 0;
    animation: animacja_p 0.6s ease-in;
    animation-delay: 1.3s;
    animation-fill-mode: forwards;
}
.napis_zeucore p a
{
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    color: #fff;
}
.napis_zeucore p a.h_studio:hover
{
    color: var(--color-czerwony);
}
.napis_zeucore p a.h_ts3:hover
{

    color: var(--color-niebieski);
}

.blok_flex
{
    flex: 1;
}
.blok_flex:hover
{
    flex: 2.5;
}

.blok_a
{
    width: 100%;
    height: 100%;
    background: linear-gradient( rgb(0 0 0 / 45%), rgb(0 0 0 / 45%) ),url(/import/grafika/tlo/st_bg.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    transition: all 0.3s ease;
    z-index: 1;
}
.blok_a .napis_st
{
    padding-top: 50px;
    padding-left: 60px;
    padding-right: 20px;
    display: flex;
    align-items: flex-start;
    opacity: 0;
    animation: slide-left 0.8s ease-in;
    animation-delay: 0.7s;
    animation-fill-mode: forwards;
}
.blok_a .napis_st img
{
    width: 92px;
    height: auto;
}
.blok_a .napis_st h2
{
    font-family: "Barlow", sans-serif;
    font-size: 42px;
    font-weight: 800;
    line-height: 46px;
    text-transform: uppercase;
    background-color: transparent;
    color: transparent;
    -webkit-text-stroke: 1px #fff !important;
    filter: drop-shadow(0 0 13px rgba(255, 255, 255, 0.637));
}

.blok_b
{
    width: 100%;
    height: 100%;
    background: linear-gradient( rgb(0 0 0 / 45%), rgb(0 0 0 / 45%) ),url(/import/grafika/tlo/ts_bg.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    transition: all 0.3s ease;
    z-index: 1;
}
.blok_b .napis_ts3
{
    height: calc(100% - 50px);
    padding-bottom: 50px;
    padding-left: 20px;
    padding-right: 60px;
    display: flex;
    flex-direction: row-reverse;
    align-items: flex-end;
    opacity: 0;
    animation: slide-right 0.8s ease-in;
    animation-delay: 0.7s;
    animation-fill-mode: forwards;
}
.blok_b .napis_ts3 img
{
    width: 92px;
    height: auto;
}
.blok_b .napis_ts3 h2
{
    padding-right: 7px;
    font-family: "Barlow", sans-serif;
    font-size: 42px;
    font-weight: 800;
    line-height: 46px;
    text-align: right;
    text-transform: uppercase;
    background-color: transparent;
    color: transparent;
    -webkit-text-stroke: 1px #3cb8ff !important;
    filter: drop-shadow(0 0 13px #7dcfffcb);
}

/* Main */
@media(max-width: 300px)
{
    .napis_zeucore h1 span
    {
        font-size: 60px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -4px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -8px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -6px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -7px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -6px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -5px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 280px;
        height: 4px;
        margin-top: -7px;
    }
    .napis_zeucore p
    {
        margin-top: 5px;
        font-size: 9px;
    }

    .blok_a .napis_st img
    {
        width: 62px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 25px;
        line-height: 31px;
    }

    .blok_b .napis_ts3 img
    {
        width: 62px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 25px;
        line-height: 31px;
    }
}
@media(min-width: 301px)
{
    .napis_zeucore h1 span
    {
        font-size: 60px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -4px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -8px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -6px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -7px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -6px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -5px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 280px;
        height: 4px;
        margin-top: -7px;
    }
    .napis_zeucore p
    {
        margin-top: 5px;
        font-size: 9px;
    }

    .blok_a .napis_st img
    {
        width: 62px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 25px;
        line-height: 31px;
    }

    .blok_b .napis_ts3 img
    {
        width: 62px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 25px;
        line-height: 31px;
    }
}
@media(min-width: 380px)
{
    .napis_zeucore h1 span
    {
        font-size: 70px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -5px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -9px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -7px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -8px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -8px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -6px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 340px;
        height: 4px;
        margin-top: -8px;
    }
    .napis_zeucore p
    {
        margin-top: 6px;
        font-size: 11px;
    }

    .blok_a .napis_st img
    {
        width: 70px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 32px;
        line-height: 35px;
    }

    .blok_b .napis_ts3 img
    {
        width: 70px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 32px;
        line-height: 35px;
    }
}
@media(min-width: 480px)
{
    .napis_zeucore h1 span
    {
        font-size: 90px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -7px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -13px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -9px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -11px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -11px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -7px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 440px;
        height: 5px;
        margin-top: -11px;
    }
    .napis_zeucore p
    {
        margin-top: 7px;
        font-size: 15px;
    }

    .blok_a .napis_st img
    {
        width: 76px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 34px;
        line-height: 39px;
    }

    .blok_b .napis_ts3 img
    {
        width: 76px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 34px;
        line-height: 39px;
    }
}
@media(min-width: 560px)
{
    .napis_zeucore h1 span
    {
        font-size: 110px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -9px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -16px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -11px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -12px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -13px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -10px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 520px;
        height: 5px;
        margin-top: -15px;
    }
    .napis_zeucore p
    {
        margin-top: 7px;
        font-size: 17px;
    }
}
@media(min-width: 680px)
{
    .napis_zeucore h1 span
    {
        font-size: 130px;
    }
    .napis_zeucore h1 span:nth-child(2)
    {
        margin-left: -9px;
        animation-delay: 0.10s;   
    }
    .napis_zeucore h1 span:nth-child(3)
    {
        margin-left: -18px;
        animation-delay: 0.20s;      
    }
    .napis_zeucore h1 span:nth-child(4)
    {
        margin-left: -13px; 
        animation-delay: 0.30s;     
    }
    .napis_zeucore h1 span:nth-child(5)
    {
        margin-left: -13px; 
        animation-delay: 0.40s;     
    }
    .napis_zeucore h1 span:nth-child(6)
    {
        margin-left: -15px; 
        animation-delay: 0.50s;     
    }
    .napis_zeucore h1 span:nth-child(7)
    {
        margin-left: -11px; 
        animation-delay: 0.60s;     
    }
    .napis_zeucore hr
    {
        width: 640px;
        height: 5px;
        margin-top: -21px;
    }
    .napis_zeucore p
    {
        margin-right: 10px;
        font-size: 18px;
    }

    .blok_a .napis_st img
    {
        width: 92px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 42px;
        line-height: 46px;
    }

    .blok_b .napis_ts3 img
    {
        width: 92px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 48px;
        line-height: 46px;
    }
}
@media(max-width: 999px)
{
    .div_content
    {
        flex-direction: column;
    }
    .blok_a .napis_st
    {
        padding-left: 60px;
        padding-right: 60px;
        justify-content: center;
    }

    .blok_b .napis_ts3
    {
        padding-left: 60px;
        padding-right: 60px;  
        justify-content: center;
    }
}
@media(min-width: 1000px)
{
    .blok_a .napis_st
    {
        padding-left: 60px;
        padding-right: 20px;
    }
    .blok_a .napis_st img
    {
        width: 76px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 34px;
        line-height: 39px;
    }

    .blok_b .napis_ts3
    {
        padding-left: 20px;
        padding-right: 60px;  
    }
    .blok_b .napis_ts3 img
    {
        width: 76px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 34px;
        line-height: 39px;
    }
}
@media(min-width: 1250px)
{
    .blok_a .napis_st img
    {
        width: 92px;
        height: auto;
    }
    .blok_a .napis_st h2
    {
        font-size: 42px;
        line-height: 46px;
    }

    .blok_b .napis_ts3 img
    {
        width: 92px;
        height: auto;
    }
    .blok_b .napis_ts3 h2
    {
        font-size: 48px;
        line-height: 46px;
    }
}

@keyframes animacja_scale {
    0% {
        transform: scale(2.5);
        opacity: 0;
    } 100% {
        transform: scale(1);
        opacity: 1;
    }
}
@keyframes animacja_hr {
    0% {
        opacity: 0;
    } 100% {
        opacity: 1;
    }
}
@keyframes animacja_p {
    0% {
        opacity: 0;
    } 100% {
        opacity: 1;
    }
}
@keyframes slide-left {
    0% {
        transform: translateX(-100%);
        opacity: 0;
    } 100% {
        transform: translateX(0);
        opacity: 1;
    }
}
@keyframes slide-right {
    0% {
        transform: translateX(100%);
        opacity: 0;
    } 100% {
        transform: translateX(0);
        opacity: 1;
    }
}